import { Component, ChangeDetectionStrategy, ContentChild, Input } from '@angular/core';
import { DataTableCellViewTmplComponent } from './data-table-cell-view-tmpl.component';
import { DataTableCellEditTmplComponent } from './data-table-cell-edit-tmpl.component';
import { DataTableCellFilterTmplComponent } from './data-table-cell-filter-tmpl.component';
import { formatDate } from '../../utils/date-utils';
import { RebirthNGConfig } from '../../rebirth-ng.config';
var DataTableColumnTmplComponent = (function () {
    function DataTableColumnTmplComponent(rebirthUIConfig) {
        this.rebirthUIConfig = rebirthUIConfig;
        this.fieldType = 'text';
    }
    Object.defineProperty(DataTableColumnTmplComponent.prototype, "formatter", {
        get: function () {
            return this._formatter || this.defaultFormatter.bind(this);
        },
        set: function (formatter) {
            this._formatter = formatter;
        },
        enumerable: true,
        configurable: true
    });
    // column.extraOptions?.dateFormat
    DataTableColumnTmplComponent.prototype.defaultFormatter = function (item) {
        if (this.fieldType && this[this.fieldType]) {
            return this[this.fieldType](item);
        }
        return item && item.toString();
    };
    DataTableColumnTmplComponent.prototype.date = function (item) {
        var pattern = this.extraOptions && this.extraOptions.dateFormat ?
            this.extraOptions.dateFormat : this.rebirthUIConfig.datePicker.format.date;
        return item ? formatDate(item, pattern) : '';
    };
    DataTableColumnTmplComponent.prototype.datetime = function (item) {
        var pattern = this.extraOptions && this.extraOptions.dateFormat ?
            this.extraOptions.dateFormat : this.rebirthUIConfig.datePicker.format.time;
        return item ? formatDate(item, pattern) : '';
    };
    return DataTableColumnTmplComponent;
}());
export { DataTableColumnTmplComponent };
DataTableColumnTmplComponent.decorators = [
    { type: Component, args: [{
                selector: 're-column',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
DataTableColumnTmplComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
DataTableColumnTmplComponent.propDecorators = {
    'fieldType': [{ type: Input },],
    'field': [{ type: Input },],
    'header': [{ type: Input },],
    'sortable': [{ type: Input },],
    'editable': [{ type: Input },],
    'filterable': [{ type: Input },],
    'cellClass': [{ type: Input },],
    'width': [{ type: Input },],
    'extraOptions': [{ type: Input },],
    'cellCmp': [{ type: ContentChild, args: [DataTableCellViewTmplComponent,] },],
    'cellEditCmp': [{ type: ContentChild, args: [DataTableCellEditTmplComponent,] },],
    'cellFilterCmp': [{ type: ContentChild, args: [DataTableCellFilterTmplComponent,] },],
    'formatter': [{ type: Input },],
};
//# sourceMappingURL=data-table-column-tmpl.component.js.map