import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output } from '@angular/core';
var FlowStepComponent = (function () {
    function FlowStepComponent() {
        this.type = 'arrow';
        this.activeChange = new EventEmitter();
    }
    FlowStepComponent.prototype.stepClick = function (step, $index) {
        if ($index < this.active) {
            this.activeChange.emit($index);
        }
    };
    return FlowStepComponent;
}());
export { FlowStepComponent };
FlowStepComponent.decorators = [
    { type: Component, args: [{
                selector: 're-flow-step',
                template: "\n    <ul class=\"nav nav-tabs step-anchor-{{type}} {{cssClass}}\">\n      <li class=\"step\" *ngFor=\"let step of steps; let $index = index\"\n          [ngClass]=\"{done: $index < active, 'active': $index == active}\" (click)=\"stepClick(step,$index)\">\n        <a class=\"arrow\"><i *ngIf=\"step.icon\" class=\"step-icon {{step.icon}}\"></i>{{step.title}}<br>\n          <small>{{step.description}}</small>\n        </a>\n      </li>\n    </ul>\n  ",
                styles: ["\n    .step-icon{margin-right:2px}.step-anchor-arrow{border:none}.step-anchor-arrow .step .arrow{color:#bbb;text-decoration:none;padding:10px 10px 10px 45px;position:relative;display:block;border:0;border-radius:0px;outline-style:none;background:#f5f5f5}.step-anchor-arrow .step .arrow:after,.step-anchor-arrow .step .arrow:before{content:\" \";display:block;width:0;height:0;border-top:30px solid transparent;border-bottom:30px solid transparent;border-left:30px solid #f5f5f5;position:absolute;top:50%;margin-top:-30px;left:100%}.step-anchor-arrow .step .arrow:after{z-index:2}.step-anchor-arrow .step .arrow:before{border-left:30px solid #ddd;margin-left:1px;z-index:1}.step-anchor-arrow .step:first-child .arrow{border-top-left-radius:8px;border-bottom-left-radius:8px}.step-anchor-arrow .step:last-child .arrow{border-top-right-radius:8px;border-bottom-right-radius:8px}.step-anchor-arrow .step:last-child .arrow:after,.step-anchor-arrow .step:last-child .arrow:before{display:none}.step-anchor-arrow .step.active .arrow{border-color:#5bc0de;color:#fff;background:#5bc0de}.step-anchor-arrow .step.active .arrow:after{border-left:30px solid #5bc0de}.step-anchor-arrow .step.done>.arrow{border-color:#5cb85c;color:#fff;cursor:pointer;background:#5cb85c}.step-anchor-arrow .step.done>.arrow:after{border-left:30px solid #5cb85c}.step-anchor-arrow .step.done>.arrow:hover{background:#46b8da}.step-anchor-arrow .step.done>.arrow:hover:after{border-left:30px solid #46b8da}@media screen and (max-width: 768px){.step-anchor-arrow .step{float:none;margin-bottom:0}.step-anchor-arrow .step .arrow{border-radius:8px;margin-bottom:1px}.step-anchor-arrow .step .arrow:after,.step-anchor-arrow .step .arrow:before{display:none}}.step-anchor-dot{position:relative;display:block;border:none;list-style:none}.step-anchor-dot:before{content:\" \";position:absolute;top:65px;bottom:0;width:100%;height:5px;background-color:#f5f5f5;border-radius:2px;z-index:95}.step-anchor-dot .step{border:none}.step-anchor-dot .step .arrow{position:relative;text-align:center;background:transparent;border:none;color:#ccc;text-decoration:none;outline-style:none;z-index:96;display:block}.step-anchor-dot .step .arrow:before{content:' ';position:absolute;bottom:2px;left:40%;margin-top:10px;display:block;border-radius:50%;background:#f5f5f5;border:none;width:30px;height:30px;text-decoration:none;z-index:98}.step-anchor-dot .step .arrow:after{content:' ';position:relative;left:43%;margin-top:10px;display:block;width:15px;height:15px;background:#f5f5f5;border-radius:50%;z-index:99}.step-anchor-dot .step.active .arrow{color:#5bc0de}.step-anchor-dot .step.active .arrow:after{background:#5bc0de}.step-anchor-dot .step.done .arrow{color:#5cb85c;cursor:pointer}.step-anchor-dot .step.done .arrow:after{background:#5cb85c}.step-anchor-dot .step.done .arrow:hover{color:#46b8da}.step-anchor-dot .step.done .arrow:hover:after{background:#46b8da}@media screen and (max-width: 768px){.step-anchor-dot:before{top:0;bottom:0;left:10px;width:5px;height:100%;background-color:#f5f5f5;display:block;margin-right:10px}.step-anchor-dot .step{margin-left:20px;display:block;clear:both}.step-anchor-dot .step .arrow{text-align:left;margin-left:0;display:block}.step-anchor-dot .step .arrow:before{top:11px;left:-23px;margin-right:10px;display:block}.step-anchor-dot .step .arrow:after{top:-35px;left:-31px;margin-right:10px;display:block}}\n  "],
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
FlowStepComponent.ctorParameters = function () { return []; };
FlowStepComponent.propDecorators = {
    'type': [{ type: Input },],
    'steps': [{ type: Input },],
    'active': [{ type: Input },],
    'activeChange': [{ type: Output },],
    'cssClass': [{ type: Input },],
};
//# sourceMappingURL=flow-step.component.js.map