import { ViewContainerRef } from '@angular/core';
export declare class RebirthNGConfig {
    private locale;
    rootContainer: ViewContainerRef;
    accordion: {
        type: string;
        keepOneItem: boolean;
        closable: boolean;
    };
    alertBox: {
        type: string;
        closable: boolean;
    };
    autoComplete: {
        delay: number;
        minLength: number;
        itemTemplate: any;
        noResultItemTemplate: any;
        formatter: (item: any) => any;
        valueParser: (item: any) => any;
    };
    carousel: {
        interval: number;
        animate: boolean;
        reflowDuration: number;
        animationDuration: number;
    };
    datatable: {
        emptyRowText: string;
    };
    datePicker: {
        locale: string;
        today: string;
        timePicker: boolean;
        dateConverter: any;
        weeks: string[];
        months: string[];
        min: number;
        max: number;
        format: {
            date: string;
            time: string;
        };
    };
    dialog: {
        button: {
            yes: string;
            no: string;
        };
    };
    fileUpload: {
        imgPreview: boolean;
        previewWidth: string;
        uploadParamName: string;
        fileSizeErrorMessage: string;
        fileTypeErrorMessage: string;
        chooseButton: string;
        uploadButton: string;
        cancelButton: string;
    };
    pager: {
        pageSize: number;
        aligned: boolean;
        button: {
            previous: string;
            next: string;
        };
    };
    pagination: {
        boundary: boolean;
        pageSize: number;
        maxItems: number;
        size: string;
        button: {
            first: string;
            last: string;
            pre: string;
            next: string;
        };
    };
    panel: {
        type: string;
        closable: boolean;
        collapsable: boolean;
    };
    progressBar: {
        type: string;
        max: number;
        animate: boolean;
        striped: boolean;
    };
    rating: {
        max: number;
        icons: {
            stateOn: string;
            stateOff: string;
        };
    };
    selectButton: {
        type: string;
        justified: boolean;
        multiple: boolean;
    };
    switchBtn: {
        onText: string;
        offText: string;
        type: string;
    };
    tabs: {
        type: string;
        justified: boolean;
        vertical: boolean;
    };
    constructor(locale: string);
    extend(obj: any): this;
}
